%global momorel 3

Name:           report
Version:        0.14
Release:        %{momorel}m%{?dist}
Summary:        Incident reporting library

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://fedorahosted.org/report
Source0:        http://fedorahosted.org/released/report/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides: python-report = %{version}-%{release}
Provides: report-devel = %{version}-%{release}
Provides: report-config-default = %{version}-%{release}

BuildRequires: python-devel
BuildRequires: openssl-devel
BuildRequires: libxml2-devel
BuildRequires: gettext
BuildRequires: libcurl-devel

Requires: openssl report-config-scp report-config-localsave
Requires: libcurl
Requires: libxml2

Obsoletes: report-config-bugzilla-redhat-com < 0.10-2m
Obsoletes: report-plugin-bugzilla < 0.14-2m

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%description
A generic problem/bug/incident/error reporting library, that can be 
configured to deliver a report to a variety of different ticketing 
systems.

%package gtk
Summary:        GTK IO for reporting library
Group:          System Environment/Libraries

Requires: pygtk2
Requires: report = %{version}-%{release}

%description gtk
Provides GTK IO dialogs for the reporting library

%package newt
Summary:        Newt IO for reporting library
Group:          System Environment/Libraries

Requires: newt-python
Requires: report = %{version}-%{release}

%description newt
Provides Newt IO dialogs for the reporting library

%if 0
%package plugin-bugzilla
Summary:        Plugin template reporter to bugzilla
Group:          System Environment/Libraries

Requires: report = %{version}-%{release}
Requires: rpm-python
Requires: python-bugzilla

%description plugin-bugzilla
Plugin template reporter to bugzilla
%endif

%package plugin-ftp
Summary:        Plugin template reporter to ftp
Group:          System Environment/Libraries

Requires: report = %{version}-%{release}

%description plugin-ftp
Plugin template reporter to ftp

%package plugin-scp
Summary:        Plugin template reporter to scp
Group:          System Environment/Libraries
Requires: report = %{version}-%{release}

%description plugin-scp
Plugin template reporter to scp

%package plugin-localsave
Summary:        Plugin template reporter to local directory
Group:          System Environment/Libraries
Requires: report = %{version}-%{release}

%description plugin-localsave
Plugin template reporter to localsave

%package config-ftp
Summary:        Config for reporter to ftp
Group:          System Environment/Libraries
Requires: report-plugin-ftp = %{version}-%{release}

%description config-ftp
Config for reporter to ftp

%package config-scp
Summary:        Config for reporter to ftp
Group:          System Environment/Libraries
Requires: report-plugin-scp = %{version}-%{release}

%description config-scp
Config for reporter to scp

%package config-localsave
Summary:        Config for reporter to ftp
Group:          System Environment/Libraries
Requires: report-plugin-localsave = %{version}-%{release}

%description config-localsave
Config for reporter to local directory

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/report.d/bugzilla.redhat.com.conf
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/report.d/RHEL-bugzilla.redhat.com.conf
rm -rf $RPM_BUILD_ROOT%{python_sitearch}/report/plugins/RHEL-bugzilla
rm -rf $RPM_BUILD_ROOT%{python_sitearch}/report/plugins/bugzilla

rm -rf $RPM_BUILD_ROOT%{_bindir}/py_strata_client
rm -rf $RPM_BUILD_ROOT%{python_sitearch}/report/plugins/strata
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/report.d/RHEL-strata.conf

mkdir -p $RPM_BUILD_ROOT/var/%{name}


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README LICENCE
%dir %{python_sitearch}/report
%{python_sitearch}/report/__init__.py*
%{python_sitearch}/report/accountmanager.py*
%dir %{python_sitearch}/report/io
%{python_sitearch}/report/io/__init__.py*
%{python_sitearch}/report/io/TextIO.py*
%dir %{python_sitearch}/report/plugins
%{python_sitearch}/report/plugins/__init__.py*
%dir %{_sysconfdir}/report.d
%{_bindir}/report
%{_mandir}/man1/report.1*
%{_mandir}/man5/report.conf.5*
%dir %{_var}/report
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/report.conf

%{_includedir}/strata_client.h
%{_libdir}/libstrata_client.a
%{_libdir}/libstrata_client.la
%{_libdir}/libstrata_client.so
%{_libdir}/libstrata_client.so.0
%{_libdir}/libstrata_client.so.0.0.0

%files gtk
%defattr(-,root,root,-)
%{python_sitearch}/report/io/GTKIO.py*

%files newt
%defattr(-,root,root,-)
%{python_sitearch}/report/io/NewtIO.py*

%files plugin-ftp
%defattr(-,root,root,-)
%{python_sitearch}/report/plugins/ftp

%files plugin-scp
%defattr(-,root,root,-)
%{python_sitearch}/report/plugins/scp

%files plugin-localsave
%defattr(-,root,root,-)
%{python_sitearch}/report/plugins/localsave

%if 0
%files plugin-bugzilla
%defattr(-,root,root,-)
%{python_sitearch}/report/plugins/bugzilla
%endif

%files config-ftp
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/report.d/dropbox.redhat.com.conf

%files config-scp
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/report.d/scp.conf

%files config-localsave
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/report.d/localsave.conf

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.14-3m)
- full rebuild for mo7 release

* Thu Aug 26 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.14-2m)
- do not provide report-plugin-bugzilla
-- we do not have our bugzilla site

* Mon Aug  9 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.14-1m)
- update to 0.14
- do not provide report-config-bugzilla-redhat-com

* Fri May  7 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10-1m)
- update 0.10

* Wed Mar 17 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8-1m)
- Initial commit Momonga Linux. import from Fedora

* Thu Feb 11 2010 Gavin Romig-Koch <gavin@redhat.com> 0.8-1
- upgrade to 0.8
- add examples/IOtest.py
- add report/io/NewtIO
- have all GTK dialogs open in the center of the screen
- consistantly return True/False/None from io.functions and report
- add Provides: report-config-default
- minor improvements to makefile
- replace autogen.sh with a better makefiles system
- improved error message when scp plugin fails

* Thu Jan 28 2010 Gavin Romig-Koch <gavin@redhat.com> 0.7-1
- upgrade to 0.7
- correct the Requires: for config-RHEL
- improve localcopy plugin

* Mon Jan  4 2010 Gavin Romig-Koch <gavin@redhat.com> 0.6-1
- Add suffix to files in '/etc/report.d/'
- Create RHEL-template which doesn't depend on a separate python-bugzilla
- Correct bugs in report::report template loading which caused the same
   template to be loaded multiple times, and the wrong templates to be used
- Correct a open file leak
- Merge the fastback command into report
- Rename fastback to report-sendfile
- Correct button response bugs in GTKIO

* Thu Dec 17 2009 Gavin Romig-Koch <gavin@redhat.com> 0.5-1
- More cleanups/corrections from Fedora review:
  - added provides for python-report
  - reorg'd sub-package specfile sections to be more std
  - correct sub-package use of Build* and Requires:
  - include LICENCE text in both dist tarball and rpms.
  - other minor cleanups

* Thu Dec 10 2009 Gavin Romig-Koch <gavin@redhat.com> 0.5-1
- convert alternatives/redhat_bugzilla to templates/bugzilla-template

* Tue Dec 08 2009 Gavin Romig-Koch <gavin@redhat.com> 0.4-2
- Cleanups/Corrections from Fedora review:
  - Added GPL2 Licencing file and headers
  - removed unnecessary catcut plugin
  - correct Source0: and Group: headers
  - other misc. spec file problems

* Tue Dec 01 2009 Gavin Romig-Koch <gavin@redhat.com> 0.4-1
- Split out the GTK IO into its own rpm
- Split out the bugzilla and catcut plugins into their own rpms

* Mon Nov 23 2009 Gavin Romig-Koch <gavin@redhat.com> 0.3-1
- Convert to using Autotools

* Wed Nov 18 2009 Gavin Romig-Koch <gavin@redhat.com> 0.2-1
- significant changes

* Wed Oct 28 2009 Gavin Romig-Koch <gavin@redhat.com> 0.1-1
- initial version

